Commit 4861a2c2 authored by Fermulator's avatar Fermulator Committed by GitHub

Correct Python venv LDAP dependency

When installing DebOps into a python virtual environment, corrected a few missing packages that are required for building the dependencies required when we do `pip install ansible debops`. As per #385.
parent 877a0990
......@@ -198,10 +198,20 @@ work in Ubuntu.
.. __: https://virtualenv.pypa.io/en/stable/
First install python virtual-env packages and other system dependencies
required for building:
.. code-block:: console
sudo apt-get install python-virtualenv virtualenv build-essential \
python-dev libffi-dev libssl-dev
python-dev libffi-dev libssl-dev libsasl2-dev \
libldap2-dev
Next we activate the DebOps virtual environment and prepare it for use:
.. code-block:: console
virtualenv debops-venv
cd debops-venv
source bin/activate
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment